Tables
Update Table
Updates table properties like name and order using either table ID or table name.
PATCH
/
bases
/
{databaseId}
/
tables
/
{tableId}
Update table
curl --request PATCH \
--url https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://tables.zite.com/api/v1/bases/{databaseId}/tables/{tableId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"order": 123,
"primaryFieldId": "<string>",
"fields": [
{
"id": "<string>",
"name": "<string>",
"template": {},
"order": 123
}
],
"views": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"config": {
"sorts": [
{}
],
"hiddenFieldIds": [
"<string>"
],
"fieldWidths": {},
"orderedFieldIds": [
"<string>"
]
}
}
],
"url": "https://app.zite.com/database/bad4b276-f604-47ad-86e5-d2ae4f60968f/tbl_abc123"
}- Only provided fields will be updated
- Omitted fields retain their current values
- Order determines table position in database navigation
Authorizations
Enter your Zite API key. Format: Bearer <api_key>
Path Parameters
The unique identifier of the database
The unique identifier of the table. You can also use the table name instead of the ID.
Body
application/json
New table name
Minimum string length:
1Response
Table updated successfully
Unique identifier for the table
Name of the table
Display order of the table
ID of the primary field in the table
List of fields in the table
Show child attributes
Show child attributes
List of views in the table
Show child attributes
Show child attributes
URL to view this table in the app
Example:
"https://app.zite.com/database/bad4b276-f604-47ad-86e5-d2ae4f60968f/tbl_abc123"
⌘I
Update table
